######################################################
#                                                    #
#  Cadence Design Systems                            #
#  FirstEncounter Floor Plan Information             #
#                                                    #
######################################################
# Created on Sun Jun 19 16:09:12 2005

Version: 3

Head Box: 0.0000 0.0000 289.8500 270.0000
IO Box: 0.0000 0.0000 289.8500 270.0000
Core Box: 40.0000 40.0000 249.8500 230.0000
Row Flipping: first

##############################################################################
#  DefRow: <name> <site> <x> <y> <orient> <num_x> <num_y> <step_x> <step_y>  #
##############################################################################
DefRow: ROW_0 core 40.0000 220.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_1 core 40.0000 210.0000 N 262 1 0.8000 0.0000
DefRow: ROW_2 core 40.0000 200.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_3 core 40.0000 190.0000 N 262 1 0.8000 0.0000
DefRow: ROW_4 core 40.0000 180.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_5 core 40.0000 170.0000 N 262 1 0.8000 0.0000
DefRow: ROW_6 core 40.0000 160.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_7 core 40.0000 150.0000 N 262 1 0.8000 0.0000
DefRow: ROW_8 core 40.0000 140.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_9 core 40.0000 130.0000 N 262 1 0.8000 0.0000
DefRow: ROW_10 core 40.0000 120.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_11 core 40.0000 110.0000 N 262 1 0.8000 0.0000
DefRow: ROW_12 core 40.0000 100.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_13 core 40.0000 90.0000 N 262 1 0.8000 0.0000
DefRow: ROW_14 core 40.0000 80.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_15 core 40.0000 70.0000 N 262 1 0.8000 0.0000
DefRow: ROW_16 core 40.0000 60.0000 FS 262 1 0.8000 0.0000
DefRow: ROW_17 core 40.0000 50.0000 N 262 1 0.8000 0.0000
DefRow: ROW_18 core 40.0000 40.0000 FS 262 1 0.8000 0.0000

######################################################
#  Track: dir start number space layer_num layer1 ...#
######################################################
Track: Y 0.5000 269 1.0000 1 6
Track: X 0.4000 241 1.2000 1 6
Track: X 0.4000 362 0.8000 1 5
Track: Y 0.5000 269 1.0000 1 5
Track: Y 0.5000 269 1.0000 1 4
Track: X 0.4000 362 0.8000 1 4
Track: X 0.4000 362 0.8000 1 3
Track: Y 0.5000 269 1.0000 1 3
Track: Y 0.5000 269 1.0000 1 2
Track: X 0.4000 362 0.8000 1 2
Track: X 0.4000 362 0.8000 1 1
Track: Y 0.5000 269 1.0000 1 1

######################################################
#  GCellGrid: dir start number space                 #
######################################################
GCellGrid: X 288.4000 2 1.4500
GCellGrid: X 0.4000 37 8.0000
GCellGrid: X 0.0000 2 0.4000
GCellGrid: Y 260.5000 2 9.5000
GCellGrid: Y 0.5000 27 10.0000
GCellGrid: Y 0.0000 2 0.5000

######################################################
#  SpareCell: cellName                               #
#  SpareInst: instName                               #
######################################################

######################################################
#  ScanGroup: groupName startPin stopPin             #
######################################################

######################################################
#  JtagCell:  leafCellName                           #
#  JtagInst:  <instName | HInstName>                 #
######################################################

##############################################################################
#  BlackBox: -cell <cell_name> { -size <x> <y> | { -area <um^2> \            #
#    -gatecount <count> <areapergate> <utilization> } \                      #
#    [-minwidth <w> | -minheight <h> | -fixedwidh <w> | -fixedheight <h>] \  #
#    -aspectratio <ratio> }                                                  #
##############################################################################

#########################################################
#  PhysicalNet: <name> [-pwr|-gnd|-tiehi|-tielo]        #
#########################################################
PhysicalNet: gnd -gnd
PhysicalNet: vdd -pwr

#########################################################
#  PhysicalInstance: <name> <cell> <orient> <llx> <lly> #
#########################################################

#####################################################################
#  Group: <group_name> <nrHinst> [-isPhyHier]                       #
#    <inst_name>                                                    #
#    ...                                                            #
#####################################################################

#####################################################################
#  Fence:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Region: <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Guide:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  SoftGuide: <name>                                                #
#    ...                                                            #
#####################################################################

######################################################
#  NetGroup: <group_name> <nrNetsInGroup>            #
######################################################

######################################################
#  CellPtnCutList: <cellName> <num_ptn_cut>          #
######################################################

######################################################
#  Instance: <name> <orient> <llx> <lly>             #
######################################################
Instance: block_control_CURRENT_reg_3 R0 188.8000 210.0000
Instance: block_control_CURRENT_reg_2 R0 210.4000 190.0000
Instance: block_control_CURRENT_reg_1 R0 232.0000 190.0000
Instance: block_control_CURRENT_reg_0 R0 206.4000 210.0000
Instance: block_acc_q_reg_7 MX 190.4000 100.0000
Instance: block_acc_q_reg_6 R0 225.6000 90.0000
Instance: block_acc_q_reg_5 R0 208.0000 90.0000
Instance: block_acc_q_reg_4 MX 207.2000 140.0000
Instance: block_acc_q_reg_3 MX 220.8000 120.0000
Instance: block_acc_q_reg_2 R180 220.0000 160.0000
Instance: block_acc_q_reg_1 MY 180.0000 190.0000
Instance: block_acc_q_reg_0 MY 168.8000 210.0000
Instance: block_divider_regiB_q_reg_7 R0 167.2000 110.0000
Instance: block_divider_regiB_q_reg_6 R0 164.8000 90.0000
Instance: block_divider_regiB_q_reg_5 R0 164.8000 70.0000
Instance: block_divider_regiB_q_reg_4 R0 184.8000 110.0000
Instance: block_divider_regiB_q_reg_3 MX 182.4000 120.0000
Instance: block_divider_regiB_q_reg_2 MX 181.6000 140.0000
Instance: block_divider_regiB_q_reg_1 R0 156.0000 170.0000
Instance: block_divider_regiB_q_reg_0 MX 149.6000 160.0000
Instance: block_divider_regiA_q_reg_7 MX 156.0000 40.0000
Instance: block_divider_regiA_q_reg_6 MX 180.0000 80.0000
Instance: block_divider_regiA_q_reg_5 MY 152.0000 50.0000
Instance: block_divider_regiA_q_reg_4 R0 169.6000 50.0000
Instance: block_divider_regiA_q_reg_3 R180 166.4000 60.0000
Instance: block_divider_regiA_q_reg_2 MX 167.2000 160.0000
Instance: block_divider_regiA_q_reg_1 R0 180.8000 150.0000
Instance: block_divider_regiA_q_reg_0 MY 155.2000 150.0000

#################################################################
#  Block: <name> <orient> [<llx> <lly>] [<haloLeftMargin>       #
#         <haloBottomMargin> <haloRightMargin> <haloTopMargin>] #
#         [<IsInstDefCovered> <IsInstPreplaced>]                #
#                                                               #
#  Block with INT_MAX loc is for recording the halo block with  #
#  non-prePlaced status                                         #
#################################################################

######################################################
#  BlockLayerObstruct: <name> <layerX> ...           #
######################################################

######################################################
#  FeedthroughBuffer: <instName>                     #
######################################################

###########################################################################
#  PlacementBlockage: <llx> <lly> <urx> <ury> <type> [-pushdown] "<name>" #
#       type is one of {-hard|-soft|-partial ratio}                       #
#       ratio is a number between 0 and 1.                                #
###########################################################################

######################################################################################
# RouteBlockage: <llx> <lly> <urx> <ury> <typeId>                                    #
#   { <layerId ..> | -cutLayer <layerId ..> | <layerId ..> -cutLayer <layerId ..> }  #
#   [-fills] [-pushdown] "<name>"                                                    #
######################################################################################

######################################################
#  PrerouteAsObstruct: <layer_treated_as_obstruct>   #
######################################################
PrerouteAsObstruct: 0x3

######################################################
#  NetWeight: <net_name> <weight (in integer)>       #
######################################################

#################################################################
#  SprFile: <file_name>                                         #
#################################################################
SprFile: nrd_018.fp.spr

#######################################################################################
#  IOPin: <pinName> <x> <y> <side> <layerId> <width> <depth> {placed|fixed|-} <nrBox> #
#    PinBox: <llx> <lly> <urx> <ury>                                                  #
#######################################################################################
IOPin: current[3] 219.6000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 219.4500 269.7000 219.7500 270.0000
IOPin: current[2] 289.8500 201.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 201.3500 289.8500 201.6500
IOPin: current[1] 289.8500 204.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 204.3500 289.8500 204.6500
IOPin: current[0] 227.6000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 227.4500 269.7000 227.7500 270.0000
IOPin: acc[7] 208.4000 0.0000 S 2 0.3000 0.3000 placed 1
  PinBox: 208.2500 0.0000 208.5500 0.3000
IOPin: acc[6] 289.8500 73.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 73.3500 289.8500 73.6500
IOPin: acc[5] 289.8500 77.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 77.3500 289.8500 77.6500
IOPin: acc[4] 289.8500 139.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 139.3500 289.8500 139.6500
IOPin: acc[3] 289.8500 118.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 118.3500 289.8500 118.6500
IOPin: acc[2] 289.8500 164.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 164.3500 289.8500 164.6500
IOPin: acc[1] 177.2000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 177.0500 269.7000 177.3500 270.0000
IOPin: acc[0] 169.2000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 169.0500 269.7000 169.3500 270.0000
IOPin: error 242.8000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 242.6500 269.7000 242.9500 270.0000
IOPin: acc_load 239.6000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 239.4500 269.7000 239.7500 270.0000
IOPin: s1 202.8000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 202.6500 269.7000 202.9500 270.0000
IOPin: s2 289.8500 113.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 113.3500 289.8500 113.6500
IOPin: s3 289.8500 138.5000 E 5 0.3000 0.3000 placed 1
  PinBox: 289.5500 138.3500 289.8500 138.6500
IOPin: s4 289.8500 88.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 88.3500 289.8500 88.6500
IOPin: in[7] 202.8000 0.0000 S 2 0.3000 0.3000 placed 1
  PinBox: 202.6500 0.0000 202.9500 0.3000
IOPin: in[6] 211.6000 0.0000 S 2 0.3000 0.3000 placed 1
  PinBox: 211.4500 0.0000 211.7500 0.3000
IOPin: in[5] 289.8500 93.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 93.3500 289.8500 93.6500
IOPin: in[4] 289.8500 147.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 147.3500 289.8500 147.6500
IOPin: in[3] 289.8500 127.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 127.3500 289.8500 127.6500
IOPin: in[2] 289.8500 173.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 173.3500 289.8500 173.6500
IOPin: in[1] 187.6000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 187.4500 269.7000 187.7500 270.0000
IOPin: in[0] 189.2000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 189.0500 269.7000 189.3500 270.0000
IOPin: opcode[2] 289.8500 195.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 195.3500 289.8500 195.6500
IOPin: opcode[1] 289.8500 211.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 211.3500 289.8500 211.6500
IOPin: opcode[0] 289.8500 213.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 213.3500 289.8500 213.6500
IOPin: reset 237.2000 270.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 237.0500 269.7000 237.3500 270.0000
IOPin: clk 289.8500 133.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.5500 133.3500 289.8500 133.6500

###########################################################$############################################################################################
#  GlobalNetConnection: <net_name> {-pin|-inst|-net} <base_name_pattern> -type {pgpin|net|tiehi|tielo} {-all|-module <name>|-region <box>} [-override] #
########################################################################################################################################################
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -type tiehi -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all -override
GlobalNetConnection: gnd -type tielo -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all -override

################################################################################
#  NetProperties: <net_name> [-special] [-def_prop {int|dbl|str} <value>]...   #
################################################################################
