library work;
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

---------------------------------------------------------------------------

entity memdata_tb is
end memdata_tb;

---------------------------------------------------------------------------

architecture struct of memdata_tb is

---------------------------------------------------------------------------
-- COMPONENT HERE

component memdata512 is
port
(
	-- PORT DEFINITION HERE (COPY!!!)
   clk       : in  std_logic;
   memwrite  : in  std_logic;
   adr       : in  std_logic_vector(8 downto 0);
   writedata : in  std_logic_vector(31 downto 0);
   memdata   : out std_logic_vector(31 downto 0)
);
end component memdata512;

---------------------------------------------------------------------------
-- SIGNALS HERE
signal   clk       :   std_logic;
signal   memwrite  :   std_logic;
signal   adr       :   std_logic_vector(8 downto 0);
signal   writedata :   std_logic_vector(31 downto 0);
signal   memdata   :   std_logic_vector(31 downto 0);
---------------------------------------------------------------------------

begin  -- struct

	-- INSTANTIATE HERE
  dut: memdata512 port map(clk, memwrite, adr, writedata, memdata);

process
begin  -- process

clk <= '0';
memwrite <= '0';
writedata <= "00000000000000000000000000000000";

adr <= "000000000"; wait for 10 ns;
adr <= "000000001"; wait for 10 ns;
adr <= "000000010"; wait for 10 ns;
adr <= "000000011"; wait for 10 ns;
adr <= "000000100"; wait for 10 ns;

memwrite <= '1';

adr <= "000000000";
writedata <= "00000000000000000000000000001111";
clk <= '1';
wait for 5 ns;
clk <= '0';
wait for 5 ns;

adr <= "000000001";
writedata <= "00000000000000000000000000011111";
clk <= '1';
wait for 5 ns;
clk <= '0';
wait for 5 ns;

adr <= "000000010";
writedata <= "00000000000000000000000000111111";
clk <= '1';
wait for 5 ns;
clk <= '0';
wait for 5 ns;

adr <= "000000011";
writedata <= "00000000000000000000000001111111";
clk <= '1';
wait for 5 ns;
clk <= '0';
wait for 5 ns;

adr <= "000000100";
writedata <= "00000000000000000000000011111111";
clk <= '1';
wait for 5 ns;
clk <= '0';
wait for 5 ns;

adr <= "000000000"; wait for 10 ns;
adr <= "000000001"; wait for 10 ns;
adr <= "000000010"; wait for 10 ns;
adr <= "000000011"; wait for 10 ns;
adr <= "000000100"; wait for 10 ns;





end process;

end struct;

