######################################################
#                                                    #
#  Cadence Design Systems                            #
#  FirstEncounter Floor Plan Information             #
#                                                    #
######################################################
# Created on Sun Jun 19 16:35:59 2005

Version: 3

Head Box: 0.0000 0.0000 289.3000 280.0000
IO Box: 0.0000 0.0000 289.3000 280.0000
Core Box: 40.0000 40.0000 249.3000 240.0000
Row Flipping: first

##############################################################################
#  DefRow: <name> <site> <x> <y> <orient> <num_x> <num_y> <step_x> <step_y>  #
##############################################################################
DefRow: ROW_0 core 40.0000 230.0000 N 261 1 0.8000 0.0000
DefRow: ROW_1 core 40.0000 220.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_2 core 40.0000 210.0000 N 261 1 0.8000 0.0000
DefRow: ROW_3 core 40.0000 200.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_4 core 40.0000 190.0000 N 261 1 0.8000 0.0000
DefRow: ROW_5 core 40.0000 180.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_6 core 40.0000 170.0000 N 261 1 0.8000 0.0000
DefRow: ROW_7 core 40.0000 160.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_8 core 40.0000 150.0000 N 261 1 0.8000 0.0000
DefRow: ROW_9 core 40.0000 140.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_10 core 40.0000 130.0000 N 261 1 0.8000 0.0000
DefRow: ROW_11 core 40.0000 120.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_12 core 40.0000 110.0000 N 261 1 0.8000 0.0000
DefRow: ROW_13 core 40.0000 100.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_14 core 40.0000 90.0000 N 261 1 0.8000 0.0000
DefRow: ROW_15 core 40.0000 80.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_16 core 40.0000 70.0000 N 261 1 0.8000 0.0000
DefRow: ROW_17 core 40.0000 60.0000 FS 261 1 0.8000 0.0000
DefRow: ROW_18 core 40.0000 50.0000 N 261 1 0.8000 0.0000
DefRow: ROW_19 core 40.0000 40.0000 FS 261 1 0.8000 0.0000

######################################################
#  Track: dir start number space layer_num layer1 ...#
######################################################
Track: Y 0.5000 279 1.0000 1 6
Track: X 0.4000 241 1.2000 1 6
Track: X 0.4000 361 0.8000 1 5
Track: Y 0.5000 279 1.0000 1 5
Track: Y 0.5000 279 1.0000 1 4
Track: X 0.4000 361 0.8000 1 4
Track: X 0.4000 361 0.8000 1 3
Track: Y 0.5000 279 1.0000 1 3
Track: Y 0.5000 279 1.0000 1 2
Track: X 0.4000 361 0.8000 1 2
Track: X 0.4000 361 0.8000 1 1
Track: Y 0.5000 279 1.0000 1 1

######################################################
#  GCellGrid: dir start number space                 #
######################################################
GCellGrid: X 288.4000 2 0.9000
GCellGrid: X 0.4000 37 8.0000
GCellGrid: X 0.0000 2 0.4000
GCellGrid: Y 270.5000 2 9.5000
GCellGrid: Y 0.5000 28 10.0000
GCellGrid: Y 0.0000 2 0.5000

######################################################
#  SpareCell: cellName                               #
#  SpareInst: instName                               #
######################################################

######################################################
#  ScanGroup: groupName startPin stopPin             #
######################################################

######################################################
#  JtagCell:  leafCellName                           #
#  JtagInst:  <instName | HInstName>                 #
######################################################

##############################################################################
#  BlackBox: -cell <cell_name> { -size <x> <y> | { -area <um^2> \            #
#    -gatecount <count> <areapergate> <utilization> } \                      #
#    [-minwidth <w> | -minheight <h> | -fixedwidh <w> | -fixedheight <h>] \  #
#    -aspectratio <ratio> }                                                  #
##############################################################################

#########################################################
#  PhysicalNet: <name> [-pwr|-gnd|-tiehi|-tielo]        #
#########################################################
PhysicalNet: gnd -gnd
PhysicalNet: vdd -pwr

#########################################################
#  PhysicalInstance: <name> <cell> <orient> <llx> <lly> #
#########################################################

#####################################################################
#  Group: <group_name> <nrHinst> [-isPhyHier]                       #
#    <inst_name>                                                    #
#    ...                                                            #
#####################################################################

#####################################################################
#  Fence:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Region: <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Guide:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  SoftGuide: <name>                                                #
#    ...                                                            #
#####################################################################

######################################################
#  NetGroup: <group_name> <nrNetsInGroup>            #
######################################################

######################################################
#  CellPtnCutList: <cellName> <num_ptn_cut>          #
######################################################

######################################################
#  Instance: <name> <orient> <llx> <lly>             #
######################################################
Instance: block_divider/regiA/q_reg[0] MX 168.8000 120.0000
Instance: block_divider/regiA/q_reg[1] MX 140.0000 60.0000
Instance: block_divider/regiA/q_reg[2] MY 155.2000 90.0000
Instance: block_divider/regiA/q_reg[3] MY 156.0000 70.0000
Instance: block_divider/regiA/q_reg[4] MX 180.8000 100.0000
Instance: block_divider/regiA/q_reg[5] MX 168.8000 80.0000
Instance: block_divider/regiA/q_reg[6] MX 139.2000 160.0000
Instance: block_divider/regiA/q_reg[7] MX 155.2000 100.0000
Instance: block_acc/q_reg[7] MX 231.2000 180.0000
Instance: block_acc/q_reg[6] R0 181.6000 150.0000
Instance: block_acc/q_reg[5] R0 229.6000 50.0000
Instance: block_acc/q_reg[4] MX 231.2000 60.0000
Instance: block_acc/q_reg[3] R180 206.4000 40.0000
Instance: block_acc/q_reg[2] MX 213.6000 60.0000
Instance: block_acc/q_reg[1] R0 155.2000 210.0000
Instance: block_acc/q_reg[0] MX 154.4000 220.0000
Instance: block_divider/regiB/q_reg[0] MY 157.6000 170.0000
Instance: block_divider/regiB/q_reg[1] MX 144.0000 200.0000
Instance: block_divider/regiB/q_reg[2] R0 180.0000 70.0000
Instance: block_divider/regiB/q_reg[3] MX 181.6000 40.0000
Instance: block_divider/regiB/q_reg[4] R0 168.8000 50.0000
Instance: block_divider/regiB/q_reg[5] MX 157.6000 60.0000
Instance: block_divider/regiB/q_reg[6] R0 140.0000 170.0000
Instance: block_divider/regiB/q_reg[7] MX 156.8000 160.0000
Instance: block_control/CURRENT_reg[3] MX 231.2000 220.0000
Instance: block_control/CURRENT_reg[2] R0 194.4000 230.0000
Instance: block_control/CURRENT_reg[1] MX 196.0000 220.0000
Instance: block_control/CURRENT_reg[0] MX 213.6000 220.0000

#################################################################
#  Block: <name> <orient> [<llx> <lly>] [<haloLeftMargin>       #
#         <haloBottomMargin> <haloRightMargin> <haloTopMargin>] #
#         [<IsInstDefCovered> <IsInstPreplaced>]                #
#                                                               #
#  Block with INT_MAX loc is for recording the halo block with  #
#  non-prePlaced status                                         #
#################################################################

######################################################
#  BlockLayerObstruct: <name> <layerX> ...           #
######################################################

######################################################
#  FeedthroughBuffer: <instName>                     #
######################################################

###########################################################################
#  PlacementBlockage: <llx> <lly> <urx> <ury> <type> [-pushdown] "<name>" #
#       type is one of {-hard|-soft|-partial ratio}                       #
#       ratio is a number between 0 and 1.                                #
###########################################################################

######################################################################################
# RouteBlockage: <llx> <lly> <urx> <ury> <typeId>                                    #
#   { <layerId ..> | -cutLayer <layerId ..> | <layerId ..> -cutLayer <layerId ..> }  #
#   [-fills] [-pushdown] "<name>"                                                    #
######################################################################################

######################################################
#  PrerouteAsObstruct: <layer_treated_as_obstruct>   #
######################################################
PrerouteAsObstruct: 0x3

######################################################
#  NetWeight: <net_name> <weight (in integer)>       #
######################################################

#################################################################
#  SprFile: <file_name>                                         #
#################################################################
SprFile: nrd_018.fp.spr

#######################################################################################
#  IOPin: <pinName> <x> <y> <side> <layerId> <width> <depth> {placed|fixed|-} <nrBox> #
#    PinBox: <llx> <lly> <urx> <ury>                                                  #
#######################################################################################
IOPin: current[3] 289.3000 218.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 218.3500 289.3000 218.6500
IOPin: current[2] 206.8000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 206.6500 279.7000 206.9500 280.0000
IOPin: current[1] 214.8000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 214.6500 279.7000 214.9500 280.0000
IOPin: current[0] 229.2000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 229.0500 279.7000 229.3500 280.0000
IOPin: acc[7] 289.3000 171.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 171.3500 289.3000 171.6500
IOPin: acc[6] 289.3000 158.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 158.3500 289.3000 158.6500
IOPin: acc[5] 289.3000 75.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 75.3500 289.3000 75.6500
IOPin: acc[4] 289.3000 83.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 83.3500 289.3000 83.6500
IOPin: acc[3] 207.6000 0.0000 S 2 0.3000 0.3000 placed 1
  PinBox: 207.4500 0.0000 207.7500 0.3000
IOPin: acc[2] 289.3000 88.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 88.3500 289.3000 88.6500
IOPin: acc[1] 172.4000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 172.2500 279.7000 172.5500 280.0000
IOPin: acc[0] 169.2000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 169.0500 279.7000 169.3500 280.0000
IOPin: error 237.2000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 237.0500 279.7000 237.3500 280.0000
IOPin: acc_load 289.3000 193.5000 E 5 0.3000 0.3000 placed 1
  PinBox: 289.0000 193.3500 289.3000 193.6500
IOPin: s1 289.3000 208.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 208.3500 289.3000 208.6500
IOPin: s2 289.3000 128.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 128.3500 289.3000 128.6500
IOPin: s3 289.3000 126.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 126.3500 289.3000 126.6500
IOPin: s4 289.3000 141.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 141.3500 289.3000 141.6500
IOPin: in[7] 289.3000 144.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 144.3500 289.3000 144.6500
IOPin: in[6] 289.3000 153.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 153.3500 289.3000 153.6500
IOPin: in[5] 289.3000 130.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 130.3500 289.3000 130.6500
IOPin: in[4] 289.3000 119.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 119.3500 289.3000 119.6500
IOPin: in[3] 289.3000 133.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 133.3500 289.3000 133.6500
IOPin: in[2] 289.3000 131.5000 E 5 0.3000 0.3000 placed 1
  PinBox: 289.0000 131.3500 289.3000 131.6500
IOPin: in[1] 190.0000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 189.8500 279.7000 190.1500 280.0000
IOPin: in[0] 187.6000 280.0000 N 2 0.3000 0.3000 placed 1
  PinBox: 187.4500 279.7000 187.7500 280.0000
IOPin: opcode[2] 289.3000 186.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 186.3500 289.3000 186.6500
IOPin: opcode[1] 289.3000 185.5000 E 5 0.3000 0.3000 placed 1
  PinBox: 289.0000 185.3500 289.3000 185.6500
IOPin: opcode[0] 289.3000 194.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 194.3500 289.3000 194.6500
IOPin: reset 289.3000 233.5000 E 3 0.3000 0.3000 placed 1
  PinBox: 289.0000 233.3500 289.3000 233.6500
IOPin: clk 289.3000 133.5000 E 5 0.3000 0.3000 placed 1
  PinBox: 289.0000 133.3500 289.3000 133.6500

###########################################################$############################################################################################
#  GlobalNetConnection: <net_name> {-pin|-inst|-net} <base_name_pattern> -type {pgpin|net|tiehi|tielo} {-all|-module <name>|-region <box>} [-override] #
########################################################################################################################################################
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all
GlobalNetConnection: vdd -type tiehi -all
GlobalNetConnection: vdd -pin vdd -type pgpin -all -override
GlobalNetConnection: gnd -type tielo -all
GlobalNetConnection: gnd -pin gnd -type pgpin -all -override

################################################################################
#  NetProperties: <net_name> [-special] [-def_prop {int|dbl|str} <value>]...   #
################################################################################
